curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/rewards/markets/multi \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/rewards/markets/multi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/rewards/markets/multi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 50,
"count": 1,
"next_cursor": "NQ==",
"data": [
{
"condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
"event_id": "12345",
"event_slug": "2024-us-election",
"created_at": "2024-05-01T12:00:00Z",
"group_item_title": "",
"image": "https://example.com/image.png",
"market_competitiveness": 0.42,
"market_id": "248849",
"market_slug": "will-trump-win-the-2024-iowa-caucus",
"one_day_price_change": 0.03,
"question": "Will Trump win the 2024 Iowa Caucus?",
"rewards_max_spread": 99,
"rewards_min_size": 10,
"spread": 0.12,
"end_date": "2024-08-10 00:00:00",
"tokens": [
{
"token_id": "1343197538147866997676250008839231694243646439454152539053893078719042421992",
"outcome": "YES",
"price": 0.8
},
{
"token_id": "16678291189211314787145083999015737376658799626183230671758641503291735614088",
"outcome": "NO",
"price": 0.2
}
],
"volume_24hr": 12345.67,
"rewards_config": [
{
"id": 7,
"asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
"start_date": "2024-03-01",
"end_date": "2500-12-31",
"rate_per_day": 2,
"total_rewards": 92
}
]
}
]
}Get multiple markets with rewards
Returns multiple markets with rewards and supports filtering and sorting.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by event ID. Can be repeated for multiple events (e.g., ?event_id=100&event_id=200)
Search event titles using case-insensitive pattern matching
Maximum first token price filter
Maximum spread filter
Maximum 24-hour volume filter
Minimum first token price filter
Minimum spread filter
Minimum 24-hour volume filter
Pagination cursor from previous response
Field to sort results by
market_id, created_at, volume_24hr, spread, competitiveness, max_spread, min_size, question, one_day_price_change, rate_per_day, price, end_date, start_date, reward_end_date Number of items per page (max 500, values above are capped)
x <= 500Sort direction
ASC, DESC Text search on market question/description
Filter by tag slug. Can be repeated for OR logic (e.g., ?tag_slug=sports&tag_slug=politics)
Response
Successfully retrieved markets with rewards